GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
gtpin::GtMemoryBuffer Struct Reference
GTPin: GEN Architecture

Memory buffer in the virtual address space of the device. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
constexpr | GtMemoryBuffer ()
| Default constructor.
constexpr | GtMemoryBuffer (uintptr_t base, size_t size, GtAccessType a)
| Constructor.
constexpr | GtMemoryBuffer (const AddrRange &r, GtAccessType a)
| Constructor.
constexpr uintptr_t | Base () const
| Return virtual base address of the buffer.
constexpr uintptr_t | End () const
| Return end address of the buffer.
constexpr size_t | Size () const
| Return size of the buffer, in bytes.
constexpr AddrRange | Range () const
| Return Buffer's range of virtual addresses.
constexpr bool | IsEmpty () const
| Return true if this buffer is empty.
constexpr GtAccessType | Access () const
| Access attributes of the buffer.
std::string | ToString () const
| Return string representation.
## Data Fields
AddrRange | range
| Range of virtual addresses occupied by the buffer.
GtAccessType | access
| Access attributes of the buffer.

## Detailed Description

Memory buffer in the virtual address space of the device.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT